Bug 168334 - Deadlock AWT Thread blocked
Deadlock AWT Thread blocked
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Formatting & Indentation
6.x
Macintosh (x86) Mac OS X
: P2 (vote)
: 6.x
Assigned To: mslama
issues@editor
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 13:24 UTC by fabriziogiudici
Modified: 2009-07-15 07:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
JVM Dump (33.24 KB, text/plain)
2009-07-09 13:25 UTC, fabriziogiudici
Details
Proposed patch (3.52 KB, text/plain)
2009-07-13 14:00 UTC, mslama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fabriziogiudici 2009-07-09 13:24:39 UTC
While I was *possibly* working with Subversion, NetBeans froze completely. Inspecting with JConsole revealed the AWT
Thread blocked on a lock. The thread owning the lock in turn is waiting for another lock.

The application is frozen since 10 minutes now, and I have to kill it.
Comment 1 fabriziogiudici 2009-07-09 13:25:09 UTC
Created attachment 84542 [details]
JVM Dump
Comment 2 Jindrich Sedek 2009-07-10 10:35:22 UTC
editor lock is blocking AWT thread ->reassigning to editor
Comment 3 mslama 2009-07-13 11:31:58 UTC
Missing build number. For now I will check 6.7 FCS sources.
Comment 4 fabriziogiudici 2009-07-13 12:18:08 UTC
Yes, it was 6.7 FCS.
Comment 5 mslama 2009-07-13 13:58:43 UTC
I will attach proposed patch. Fix takes ProjectManager.mutex lock before CodeStylePreferences internal lock to avoid
deadlock.
Comment 6 mslama 2009-07-13 14:00:52 UTC
Created attachment 84658 [details]
Proposed patch
Comment 7 mslama 2009-07-14 12:39:22 UTC
jet-main #b01475838357

Use ProjectManager.mutex().readAccess before internal CodeStylePreferences lock to fix deadlock.
Comment 8 Quality Engineering 2009-07-15 07:23:42 UTC
Integrated into 'main-golden', will be available in build *200907150249* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b01475838357
User: Marek Slama <mslama@netbeans.org>
Log: #168334: Use ProjectManager.mutex().readAccess before internal CodeStylePreferences lock to fix deadlock.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo